Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove
Class SignatureUseType

    java.lang.Object
      edu.harvard.hul.ois.jhove.EnumerationType
          edu.harvard.hul.ois.jhove.SignatureUseType

    public final class SignatureUseType

extends EnumerationType

This class defines enumerated use types for a Signature in a module. These give information on whether a signature is required in valid content. Applications will not create or modify SignatureUseTypes, but will use one of the predefined SignatureUseType instances MANDATORY, MANDATORY_IF_APPLICABLE, or OPTIONAL.

See Also:
  `Signature`

Field Summary
`static SignatureUseType` | `MANDATORY` Use type for a required signature.
`static SignatureUseType` | `MANDATORY_IF_APPLICABLE` Use type for a conditionally required signature.
`static SignatureUseType` | `OPTIONAL` Use type for an optional signature.

Method Summary

Methods inherited from class edu.harvard.hul.ois.jhove.EnumerationType
`equals, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### MANDATORY

    public static final SignatureUseType MANDATORY

  Use type for a required signature.

### MANDATORY_IF_APPLICABLE

    public static final SignatureUseType MANDATORY_IF_APPLICABLE

  Use type for a conditionally required signature.

### OPTIONAL

    public static final SignatureUseType OPTIONAL

  Use type for an optional signature.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD